using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblsEsppSchchangeScheme : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameTable(
                name: "EsppSchValues",
                newName: "EsppSchValues",
                newSchema: "schedule");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeValues",
                newName: "EsppSchTypeValues",
                newSchema: "schedule");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeSchedules",
                newName: "EsppSchTypeSchedules",
                newSchema: "schedule");

            migrationBuilder.RenameTable(
                name: "EsppSchTypes",
                newName: "EsppSchTypes",
                newSchema: "schedule");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeConfigs",
                newName: "EsppSchTypeConfigs",
                newSchema: "schedule");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameTable(
                name: "EsppSchValues",
                schema: "schedule",
                newName: "EsppSchValues");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeValues",
                schema: "schedule",
                newName: "EsppSchTypeValues");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeSchedules",
                schema: "schedule",
                newName: "EsppSchTypeSchedules");

            migrationBuilder.RenameTable(
                name: "EsppSchTypes",
                schema: "schedule",
                newName: "EsppSchTypes");

            migrationBuilder.RenameTable(
                name: "EsppSchTypeConfigs",
                schema: "schedule",
                newName: "EsppSchTypeConfigs");
        }
    }
}
